datacache <- new.env(hash=TRUE, parent=emptyenv())

mu11ksubammentrezg <- function() showQCData("mu11ksubammentrezg", datacache)
mu11ksubammentrezg_dbconn <- function() dbconn(datacache)
mu11ksubammentrezg_dbfile <- function() dbfile(datacache)
mu11ksubammentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mu11ksubammentrezg_dbInfo <- function() dbInfo(datacache)

mu11ksubammentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mu11ksubammentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mu11ksubammentrezg", "chip mu11ksubammentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mu11ksubammentrezg_dbconn())
}

